Retrieve hotel content
https://api-sandbox.worldota.net/api/b2b/v3/hotel/info/https://api.worldota.net/api/b2b/v3/hotel/info/The call searches for static hotel data by hotel ID. Use this call in the following cases:
- An available hotel isn’t included in the hotel data dump. This can happen with new hotels in the ETG inventory.
- You want to check the hotel content for potential updates before making a booking.
ℹ️
Limitations:
- The maximum number of requests is 30 per 60 seconds.
⚠️
- Any internal content such as photos, descriptions, and others can’t be indexed; this isn’t allowed.
- Any public content such as name, address, amenities, and policies can be indexed.
- If you try to download all images from CDN without a corresponding search request by the user, your IP address will be blocked.
To avoid being blocked, send the custom User-Agent header with the following information:
- Required:
PartnerName;ClientVersion.
- Optional:
ClientTechnicalDetails.
Example:
- RatehawkPartner/1.0 (python-requests/2.18.4).
- Please use a single channel for downloading (limit requests to 30 per 60 seconds).
Sandbox limitations
⚠️
Use only field values, IDs, API keys, and any static content from the sandbox environment within the sandbox. Do not use sandbox data in test or production environments, and do not mix data or configuration between different environments.
- The
hidfield is not supported yet. - The value of the
languagefield is always set toen.
Request example
curl --user '<KEY_ID>:<API_KEY>' 'https://api-sandbox.worldota.net/api/b2b/v3/hotel/info/' \
--header 'Content-Type: application/json' \
--data '{
"hid": "10004834",
"language": "en"
}'curl --user '<KEY_ID>:<API_KEY>' 'https://api.worldota.net/api/b2b/v3/hotel/info/' \
--header 'Content-Type: application/json' \
--data '{
"hid": "10004834",
"language": "en"
}'Request body
Response
Response example
{
"data": {
"address": "100 South Grand Avenue, Los Angeles",
"amenity_groups": [
{
"amenities": [
"Air conditioning",
"24-hour reception"
],
"non_free_amenities": null,
"group_name": "General"
},
{
"amenities": [
"Room service"
],
"non_free_amenities": null,
"group_name": "Rooms"
},
{
"amenities": [
"Ironing",
"Laundry"
],
"non_free_amenities": [
"Ironing"
],
"group_name": "Services and amenities"
}
],
"check_in_time": "15:00:00",
"check_in_time_end": "15:00:00",
"check_out_time": "12:00:00",
"description_struct": [
{
"paragraphs": [
"Hotel «Conrad Los Angeles» is located in Los Angeles, near the city center."
],
"title": "Location"
},
{
"paragraphs": [
"Free Wi-Fi is available. There is a parking zone."
],
"title": "At the hotel"
}
],
"email": "<[email protected]>",
"hotel_chain": "Hilton Hotels & Resorts",
"hid": 10004834,
"id": "conrad_los_angeles",
"images_ext": [
{
"url": "https://cdn.worldota.net/t/{size}/content/df/1a/df1aeffad82e3fa22007e2008389d20d9374202b.jpeg",
"category_slug": "exterior"
},
{
"url": "https://cdn.worldota.net/t/{size}/content/76/03/760379401030405fd3775a18b6edb0cf1f8971f5.jpeg",
"category_slug": "lobby"
}
],
"kind": "Hotel",
"latitude": 34.055176,
"longitude": -118.24855,
"name": "Conrad Los Angeles",
"metapolicy_struct": {
"add_fee": [],
"check_in_check_out": [],
"children": [],
"children_meal": [],
"cot": [],
"deposit": [
{
"availability": "available",
"currency": "USD",
"deposit_type": "unspecified",
"payment_type": "unspecified",
"price": "300",
"price_unit": "per_room_per_night",
"pricing_method": "fixed"
}
],
"extra_bed": [],
"internet": [],
"meal": [],
"no_show": {
"availability": "unspecified",
"day_period": "unspecified",
"time": ""
},
"parking": [],
"pets": [
{
"currency": "USD",
"inclusion": "not_included",
"pets_type": "unspecified",
"price": "100",
"price_unit": "per_room_per_stay"
}
],
"shuttle": [],
"visa": {
"visa_support": "unspecified"
}
},
"metapolicy_extra_info": "Front desk is open 24/7.\nGuests are required to show a photo identification and credit card upon check-in.",
"phone": "+12133498585",
"policy_struct": [
{
"paragraphs": [
"Meals included are indicated in the rate details."
],
"title": "Meals"
}
],
"postal_code": "90012",
"region": {
"country_code": "US",
"iata": "LAX",
"id": 2011,
"name": "Los Angeles",
"type": "City"
},
"room_groups": [
{
"name": "Deluxe room",
"images": [
"https://cdn.worldota.net/t/{size}/content/c0/de/c0dea9e5760f33c2b101ed14577e168b3f36c74f.jpeg"
],
"images_ext": [
{
"url": "https://cdn.worldota.net/t/{size}/content/c0/de/c0dea9e5760f33c2b101ed14577e168b3f36c74f.jpeg",
"category_slug": "unspecified"
}
],
"name_struct": {
"bathroom": "",
"bedding_type": "",
"main_name": "Deluxe room"
},
"room_amenities": [
"air-conditioning",
"private-bathroom"
],
"room_group_id": 28,
"rg_ext": {
"balcony": 0,
"bathroom": 2,
"bedding": 0,
"bedrooms": 0,
"capacity": 0,
"club": 0,
"family": 0,
"floor": 0,
"quality": 6,
"class": 3,
"sex": 0,
"view": 0
},
"size": 32.3
}
],
"star_rating": 5,
"serp_filters": [
"has_internet",
"has_parking"
],
"star_certificate": {
"valid_to": "",
"certificate_id": ""
},
"is_closed": false,
"facts": {
"electricity": {
"frequency": [
60
],
"voltage": [
120
],
"sockets": [
"a",
"b"
]
},
"type": "",
"floors_number": 25,
"rooms_number": 305,
"year_built": 2022,
"year_renovated": 0,
"register": {
"record": "",
"link": "",
"email": "",
"phone": "",
"status": "",
"kind": "unspecified",
"name": "",
"address": "",
"status_end_date": "",
"rooms": []
}
},
"payment_methods": [
"visa",
"master_card"
],
"front_desk_time_start": "00:00:00",
"front_desk_time_end": "00:00:00",
"is_gender_specification_required": false,
"deleted": false,
"keys_pickup": {
"type": "unspecified",
"phone": "",
"is_contactless": false,
"email": "",
"apartment_office_address": "",
"apartment_extra_information": ""
},
"distance_center": 531.1,
"giata_code": "1315907",
"images": [
"https://cdn.worldota.net/t/{size}/content/df/1a/df1aeffad82e3fa22007e2008389d20d9374202b.jpeg",
"https://cdn.worldota.net/t/{size}/content/76/03/760379401030405fd3775a18b6edb0cf1f8971f5.jpeg"
]
},
"debug": {
"api_endpoint": {
"endpoint": "api/b2b/v3/hotel/info",
"is_active": true,
"is_limited": true,
"remaining": 29,
"requests_number": 30,
"reset": "2026-04-13T16:19:00",
"seconds_number": 60
},
"request": {
"hid": "10004834",
"language": "en",
"check_in_time_end": "23:59:00"
},
"method": "POST",
"real_ip": "104.30.161.77",
"request_id": "8c89381358e20e2f7ae04b74a340b7e8",
"key_id": 1234,
"api_key_id": 1234,
"utcnow": "2026-04-13T16:18:00.929864"
},
"status": "ok",
"error": null
}Errors
hotel_not_found
The hotel isn’t found.
unknown
The error occurs if something else has gone wrong.